<template>
    <div class="main p-top-60" :class="{'mobile': isMobile()}">
      <a-breadcrumb v-if="!isMobile()">
        <a-breadcrumb-item>
          <router-link to="/home">Home</router-link>
        </a-breadcrumb-item>
        <a-breadcrumb-item>
          <router-link to="/shopping">Shopping</router-link>
        </a-breadcrumb-item>
        <a-breadcrumb-item>{{ title }}</a-breadcrumb-item>
      </a-breadcrumb>
      <h1 class="product-name">{{ title }}</h1>
      <a-row :gutter="20">
        <a-col :span="24" :md="{ span: 16 }">
          <div>
            <a-row :gutter="10">
              <a-col :span="isMobile() ? 8 : 6">
                <img class="map-image" src="img/map.png">
              </a-col>
              <a-col :span="14">
                <a-list item-layout="horizontal" :data-source="map">
                  <a-list-item slot="renderItem" slot-scope="item, index">
                    <a-list-item-meta :description="item.desc">
                      <div slot="title">
                          {{ item.title }}
                      </div>
                    </a-list-item-meta>
                  </a-list-item>
                </a-list>
              </a-col>
              <a-col :span="4" v-if="!isMobile()">
                <div class="text-right">
                  <a-button>Edit</a-button>
                </div>
              </a-col>
            </a-row>
            <a-row v-if="isMobile()">
              <button class="edit-btn" @click="editProfile">Edit</button>
            </a-row>
          </div>
          <div class="clearfix"></div>
          <br>
          <div>
            <a-row :gutter="10" :class="{'pb-3': isMobile()}">
              <a-col :span="isMobile() ? 16 : 6">
                <img class="credit-image" src="img/Credit-Card.png">
              </a-col>
              <a-col :span="isMobile() ? 8 : 14">
                <a-list item-layout="horizontal" :data-source="credit">
                  <a-list-item slot="renderItem" slot-scope="item, index">
                    <a-list-item-meta :description="item.desc">
                      <div slot="title">
                          {{ item.title }}
                      </div>
                    </a-list-item-meta>
                  </a-list-item>
                </a-list>
              </a-col>
              <a-col :span="4" v-if="!isMobile()">
                <div class="text-right">
                  <a-button>Edit</a-button>
                </div>
              </a-col>
            </a-row>
            <a-row>
              <button class="edit-btn" v-if="isMobile()" @click="goPayment">Edit</button>
            </a-row>

            <div class="btn-group mt-4" v-if="!isMobile()">
              <a-button class="btn square-btn big-btn ant-btn">Complete Order</a-button>
            </div>
          </div>
        </a-col>
        <a-col :span="24" :md="{ span: 8 }">
          <a-list item-layout="horizontal" :data-source="data" class="list-cart">
            <a-list-item slot="renderItem" slot-scope="item, index">
              <a-list-item-meta
                  description="Ant Design, a design language for background applications, is refined by Ant UED Team"
              >
                <div slot="title">
                  <router-link :to="{ name: 'ProductDetail', params: {id: item.id}}">
                    {{ item.title }}
                  </router-link>
                </div>

                <a-avatar
                    slot="avatar"
                    src="img/product.jpg"
                />
              </a-list-item-meta>
            </a-list-item>
          </a-list>
          <br>
          <a-row>
            <a-col :span="12">
              <div class="cart-title">
                Product Count
              </div>
            </a-col>
            <a-col :span="12">
              <div class="text-right cart-value">3</div>
            </a-col>
            <a-col :span="12">
              <div class="cart-title">
                Product Cost
              </div>
            </a-col>
            <a-col :span="12">
              <div class="text-right cart-value">3,200,000 VND</div>
            </a-col>
            <a-col :span="12">
              <div class="cart-title">
                Shipping cost
              </div>
            </a-col>
            <a-col :span="12">
              <div class="text-right cart-value">0 VND</div>
            </a-col>
            <a-col :span="12">
              <div class="cart-title total">
                Total
              </div>
            </a-col>
            <a-col :span="12">
              <div class="text-right cart-value total">3,200,000 VND</div>
            </a-col>
          </a-row>
          <br>
          <br>
          <div class="d-flex justify-content-center pb-5" v-if="isMobile()">
            <a-button class="btn square-btn big-btn ant-btn order-btn">Complete Order</a-button>
          </div>
        </a-col>
      </a-row>
    </div>
</template>

<script>
import carousel from 'vue-owl-carousel'

const data = [
  {
    title: 'Product 1',
    id: 1
  },
  {
    title: 'Product 2',
    id: 2
  },
  {
    title: 'Product 3',
    id: 3
  },
  {
    title: 'Product 4',
    id: 4
  },
];
const map = [
  {
    title: 'Shipping date',
    desc: 'Tomorow, 12AM - 6PM',
  },
  {
    title: 'Shipping address',
    desc: '152 Tran thi nghi Go Vap HCM'
  },
];
const credit = [
  {
    title: 'Credit Card',
    desc: '**** **** **** 1234',
  },
];
export default {
  components: {carousel},
  data() {
    return {
      title: 'Checkout',
      data,
      map,
      credit
    }
  },

  methods: {
    isMobile() {
      if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        return true
      } else {
        return false
      }
    },
    syncArrow(prev, next, arrowObject) {
      const me = this;
      setTimeout(function () {
        const prevParent = me.$refs[prev] && me.$refs[prev].parentNode;
        const nextParent = me.$refs[next] && me.$refs[next].parentNode;
        if (prevParent) {
          arrowObject.prev = prevParent.style.display !== 'none';
        }
        if (nextParent) {
          arrowObject.next = nextParent.style.display !== 'none';
        }
      }, 200)
    },
    triggerClick(ref) {
      this.$refs[ref].click();
    },
    editProfile() {
      this.$router.push("/edit-profile").catch((err) => {});
    },
    goPayment() {
      this.$router.push("/payment").catch((err) => {});
    }
  },
  mounted: function () {
    this.syncArrow('categoryNext', 'categoryPrev', this.categoryArrow);
    this.syncArrow('productNext', 'productPrev', this.productArrow);
  }
}

</script>

<style scoped>
@import "../../css/default.css";

.product-name {
  font-size: 2em;
  color: white;
}

.btn{
  font-size: 20px;
  font-weight: 400!important;
}
.cart-title, .cart-value {
  font-size: 16px;
  margin-bottom: 10px;
}

.total {
  font-size: 20px;
  margin-top: 20px;
}

.btn-group {
  display: flex;
  justify-content: flex-end;
}

.btn-group .ant-btn:last-child {
  margin-left: 20px;
}

.btn-group .ant-btn {
  font-size: 1.5em;
  padding: 10px 20px;
  height: auto;
  width: 200px;
}

img.map-image,
img.credit-image {
  width: 100%;
  max-height: 135px;
  object-fit: cover;
}

/* Mobile Style */
.mobile .product-name {
  font-weight: 500;
  font-size: 16px;
  color: #FFFFFF;
  margin-bottom: 14px;
}
.mobile .map-image {
  width: 100px;
  height: 100px;
  object-fit: cover;
}
.mobile .edit-btn {
  height: 40px;
  padding: 0 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: 500;
  font-size: 14px;
  color: #000000;
  margin-bottom: 15px;
}
.mobile .ant-list-item {
  padding-top: 0;
  border: none;
}
.mobile .ant-list-item-meta .ant-list-item-meta-description {
  opacity: .7;
}
.mobile .credit-image {
  width: 210px;
  height: auto;
}
.mobile .list-cart {
  padding: 50px 0;
}
.mobile .list-cart .ant-list-item-meta-description,
.mobile .list-cart .ant-list-item-meta-title {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  width: 70vw;
}
.mobile .list-cart .ant-list-item {
  padding-top: 18px;
  border-bottom: 0.5px solid #646464;
}
.mobile .order-btn {
  height: 50px !important;
  padding: 0 30px !important;
  font-size: 18px;
  color: #000;
}
</style>
